Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.rtree
Class LeafNode

    java.lang.Object
      org.deegree.io.rtree.Node
          org.deegree.io.rtree.LeafNode

All Implemented Interfaces:
  Serializable

     class LeafNode

extends Node
implements Serializable

Implementation of a LeafNode. Inherits methods from the abstract class Node filling the defined abstract methods with life.

Author:
  Wolfgang Baer - WBaer@gmx.de

Field Summary
`protected int[]` | `data`

Fields inherited from class org.deegree.io.rtree.Node
`counter, file, hyperBBs, pageNumber, parentNode, place, unionMinBB`

Constructor Summary
`protected` | `LeafNode(int pageNumber, PageFile file)` Constructor.
`protected` | `LeafNode(PageFile file)` Constructor.

Method Summary
`protected Object` | `clone()` Deep copy without data entries (only HyperBoundingBox objects)
`protected void` | `deleteData(int index)` Deletes a the entry with given index from node
`protected Object` | `getData(int index)` Return type is an Integer object
`protected void` | `insertData(Object obj, HyperBoundingBox box)` Inserts the given data into the node

Methods inherited from class org.deegree.io.rtree.Node
`getHyperBoundingBox, getHyperBoundingBoxes, getPageNumber, getParent, getUnionMinBB, getUsedSpace, isRoot, setPageNumber, toString, updateNodeBoundingBox`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### data

    protected int[] data

Constructor Detail

### LeafNode

    protected LeafNode(int pageNumber,
                       PageFile file)

  Constructor.

  Parameters:
    `pageNumber` - - number of this node in page file
    `file` - - the PageFile of this node

### LeafNode

    protected LeafNode(PageFile file)

  Constructor.
  The page number in the pagefile will be assigned with the first save to a page file

  Parameters:
    `file` - - the PageFile of this node

Method Detail

### getData

    protected Object getData(int index)

  Return type is an Integer object

  Specified by:
    `getData` in class `Node`
  Parameters:
    `index` - - index of data
  See Also:
    `Node.getData(int)`

### insertData

    protected void insertData(Object obj,
                              HyperBoundingBox box)

  Description copied from class: `Node`
  Inserts the given data into the node

  Specified by:
    `insertData` in class `Node`
  Parameters:
    `obj` - - object to insert (Typ Integer oder AbstractNode)
    `box` - - the associated HyperBoundingBox
  See Also:
    `Node.insertData(java.lang.Object, HyperBoundingBox)`

### deleteData

    protected void deleteData(int index)

  Description copied from class: `Node`
  Deletes a the entry with given index from node

  Specified by:
    `deleteData` in class `Node`
  Parameters:
    `index` - - index of entry
  See Also:
    `Node.insertData(java.lang.Object, HyperBoundingBox)`

### clone

    protected Object clone()

  Description copied from class: `Node`
  Deep copy without data entries (only HyperBoundingBox objects)

  Specified by:
    `clone` in class `Node`
  See Also:
    `Node.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org